Package org.apache.catalina.authenticator.jaspic

## Class PersistentProviderRegistrations.Provider

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.PersistentProviderRegistrations.Provider

Enclosing class:
  PersistentProviderRegistrations

    public static class PersistentProviderRegistrations.Provider
    extends java.lang.Object

### Constructor Summary

Constructors
`Provider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProperty​(PersistentProviderRegistrations.Property property)`
`java.lang.String` `getAppContext()`
`java.lang.String` `getClassName()`
`java.lang.String` `getDescription()`
`java.lang.String` `getLayer()`
`java.util.Map<java.lang.String,​java.lang.String>` `getProperties()`
`void` `setAppContext​(java.lang.String appContext)`
`void` `setClassName​(java.lang.String className)`
`void` `setDescription​(java.lang.String description)`
`void` `setLayer​(java.lang.String layer)`
`void` `setProperty​(java.lang.String name, java.lang.String value)` Used by IntrospectionUtils via reflection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Provider

    public Provider()

### Method Detail

#### getClassName

    public java.lang.String getClassName()

#### setClassName

    public void setClassName​(java.lang.String className)

#### getLayer

    public java.lang.String getLayer()

#### setLayer

    public void setLayer​(java.lang.String layer)

#### getAppContext

    public java.lang.String getAppContext()

#### setAppContext

    public void setAppContext​(java.lang.String appContext)

#### getDescription

    public java.lang.String getDescription()

#### setDescription

    public void setDescription​(java.lang.String description)

#### addProperty

    public void addProperty​(PersistentProviderRegistrations.Property property)

#### setProperty

    public void setProperty​(java.lang.String name,
                            java.lang.String value)

Used by IntrospectionUtils via reflection.

Parameters:
  `name` - - the name of of the property to set on this object
  `value` - - the value to set
See Also:
  `addProperty(String, String)`

#### getProperties

    public java.util.Map<java.lang.String,​java.lang.String> getProperties()